using System;

namespace Sasa.QualityTools.DrFx.Tests.Violation.CSharp.Microsoft.Naming
{
    public class Rule1713
    {
        // このイベントは CA1713:Before に違反しています。
        public event EventHandler BeforeWrite;

        // このイベントは CA1713:After に違反しています。
        public event EventHandler AfterWrite;

        public void Write()
        {
            BeforeWrite(this, EventArgs.Empty);
            Console.WriteLine();
            AfterWrite(this, EventArgs.Empty);
        }
    }
}
